Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for File API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.fileadapter.eway
Class FileInboundConfiguration

    java.lang.Object
      com.stc.connector.fileadapter.eway.FileInboundConfiguration

    public class FileInboundConfiguration

extends java.lang.Object

This is the bean class that holds configuration information for Inbound Connections

Constructor Summary
`FileInboundConfiguration(com.stc.configuration.IConfiguration aConfiguration)` Creates new FileInboundConfiguration.

Method Summary
`java.io.File` | `getBackupDirectory()`
`java.io.File` | `getDirectory()`
`java.lang.String` | `getEncoding()`
`java.lang.String` | `getInputFileMask()`
`java.lang.String` | `getInputType()`
`long` | `getMaxBytesPerRecord()`
`boolean` | `getMultipleRecordsPerFile()`
`long` | `getPollInMilliseconds()`
`boolean` | `getRemoveEOL()`
`boolean` | `getResendOnError()`
`boolean` | `getSerialMode()`
`boolean` | `getSupportTransactions()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileInboundConfiguration

    public FileInboundConfiguration(com.stc.configuration.IConfiguration aConfiguration)
                             throws FileApplicationException

  Creates new FileInboundConfiguration.

  Throws:
    `FileApplicationException`

Method Detail

### getRemoveEOL

    public boolean getRemoveEOL()

  Returns:
    True if an EOL is removed add then end of the record

### getDirectory

    public java.io.File getDirectory()

  Returns:
    Directory where the file(s) is written to

### getMaxBytesPerRecord

    public long getMaxBytesPerRecord()

  Returns:
    Maximum bytes per record (for fixed sized records)

### getBackupDirectory

    public java.io.File getBackupDirectory()

  Returns:
    Backup Directory where the file(s) is written to in case of a failure

### getInputFileMask

    public java.lang.String getInputFileMask()

  Returns:
    File name or patter of the file the records are written into

### getInputType

    public java.lang.String getInputType()

  Returns:
    File name or patter of the file the records are written into

### getPollInMilliseconds

    public long getPollInMilliseconds()

  Returns:
    Polling Interval in milli seconds

### getMultipleRecordsPerFile

    public boolean getMultipleRecordsPerFile()

  Returns:
    True if each Record is written to its own file or false if all records go into a single file

### getSupportTransactions

    public boolean getSupportTransactions()

  Returns:
    True if the File Inbound Connection Supports Transactions

### getEncoding

    public java.lang.String getEncoding()

  Returns:
    Encoding name

### getSerialMode

    public boolean getSerialMode()

  Returns:
    True if the inbound is in serial mode meaning only one message is processed at a given time

### getResendOnError

    public boolean getResendOnError()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for File API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.